Author Topic: How to upgrade 1.2.1 to 1.2.6 on Windows with Apache and old PHP 5.3.27  (Read 781 times)

Offline Rojko

  • Newbie
  • *
  • Posts: 1
Hello,

can someone help me with upgrade from 1.2.1 to 1.2.6

my roundcube 1.2.1 is running on windows 7 with Apache and PHP 5.3.27

I would like to upgrade roundcube from 1.2.1 to 1.2.6

is that simple just to replace roundcube files with new version and copy config from 1.2.1 to 1.2.6 or i need to run installer, perform upgrade on database or?

i dont want to mess up my working roundcube 1.2.1 when i try to upgrade to latest security fix

thx for help

Offline SKaero

  • Administrator
  • Hero Member
  • *****
  • Posts: 5,273
    • http://SKaero.com/

Offline cjones

  • Newbie
  • *
  • Posts: 2
Re: How to upgrade 1.2.1 to 1.2.6 on Windows with Apache and old PHP 5.3.27
« Reply #2 on: January 10, 2018, 12:18:58 PM »
Yes, this is fine... if you're running LINUX! 

How about for WINDOWS?  I'm looking to upgrade from 1.1.2 to 1.3.3.

I have previously (years ago) upgraded to 1.1.2 and it was a nightmare trying to figure out Windows equivalents for the shell scripts and utilities (rsync, anyone?) that are referenced in the upgrade guide you linked to.  Nothing but pain, pain, pain.

I should also include I'm running PHP 5.4.13.

Offline SKaero

  • Administrator
  • Hero Member
  • *****
  • Posts: 5,273
    • http://SKaero.com/
Re: How to upgrade 1.2.1 to 1.2.6 on Windows with Apache and old PHP 5.3.27
« Reply #3 on: January 10, 2018, 12:27:06 PM »
See the "Via FTP + Installer" section of the upgrade page https://github.com/roundcube/roundcubemail/wiki/Upgrade#via-ftp--installer